package com.yihu.hos.rest.controllers;

import com.yihu.ehr.dbhelper.jdbc.DBHelper;
import com.yihu.hos.core.constants.CoreConstant;
import com.yihu.hos.core.datatype.DateUtil;
import com.yihu.hos.core.http.HttpClientUtil;
import com.yihu.hos.rest.common.configuration.CrawlerConfiguration;
import com.yihu.hos.rest.common.configuration.QLCConfiguration;
import com.yihu.hos.rest.models.qlc.QLCResponseResult;
import com.yihu.wsgw.api.ServiceBus;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by Administrator on 2016/4/20.
 */
@RestController
@RequestMapping(value = "/api/v1.0/qlc", produces = {"application/json;charset=UTF-8"})//
@Api(protocols = "http", value = "hibernate", hidden = false, description = "ȫ̶Խӽӿ")
public class QLCController {
    private DBHelper dbHelper = new DBHelper();

    @Autowired
    private QLCConfiguration qlcConfiguration;

    @Autowired
    private CrawlerConfiguration cawlerConfiguration;

    final Logger logger = LoggerFactory.getLogger(QLCController.class);

    /**
     * Ժ_Һ¼
     *http://localhost:8081/gateway/transfer?api=17&param={EventType:"1",EventNo:"1",CardType:"1",CardNo:"6001",PatientId:"10001",HospitalId:"1026333"}&requestId="Ŀǰûд"
     */
    @RequestMapping(value = "/queryUserInfo", method = RequestMethod.POST)
    @ApiOperation(value = "Һ¼", response = Object.class, produces = "application/json", notes = "ԺҺ¼")
    public QLCResponseResult queryUserInfo(@ApiParam(value = "¼:סԺ", required = true) @RequestParam(value = "EventType") String EventType,
                                         @ApiParam(value = "¼룺šסԺ", required = true) @RequestParam(value = "EventNo") String EventNo,
                                         @ApiParam(value = "", required = true) @RequestParam(value = "CardType") String CardType,
                                         @ApiParam(value = "", required = true) @RequestParam(value = "CardNo") String CardNo,
                                         @ApiParam(value = "PatientId", required = true) @RequestParam(value = "PatientId") String PatientId,
                                         @ApiParam(value = "ҽԺID", required = true) @RequestParam(value = "HospitalId") String HospitalId) {
        QLCResponseResult qlcResponseResult = new QLCResponseResult();
        try {
            //жϲǷΪ
            isEmpty(EventType, "EventType is null");
            isEmpty(EventNo, "EventNo is null");
            isEmpty(CardType, "CardType is null");
            isEmpty(CardNo, "CardNo is null");
            isEmpty(PatientId, "PatientId is null");
            isEmpty(HospitalId, "HospitalId is null");
            //õҺϢͲ˻Ϣ
            String regDate=getRegAndUserInfo(CardType, CardNo, PatientId, HospitalId);
            Map<String, Object> params = new HashMap<String, Object>();

            //ς
            String jsonObject="{\"orgCode\":\""+HospitalId+"\",\"eventNo\":\""+EventNo+"\",\"patientId\":\""+PatientId+"\",\"referenceTime\":\""+regDate+"\"}";
            params.put("patient", jsonObject);
            String uploadUrl = HttpClientUtil.getUrl(cawlerConfiguration.getUploadIp(), cawlerConfiguration.getUploadPort(), cawlerConfiguration.getUploadApi());
            String uploadInfo = HttpClientUtil.doPost(uploadUrl, params, null, null);
            monogoUrlValid(uploadInfo,"ϴʧ");
        } catch (Exception e) {
            qlcResponseResult.setStatus("1");
            qlcResponseResult.setStatusInfo(e.getMessage());
            e.printStackTrace();
            return qlcResponseResult;
        }
        return qlcResponseResult;
    }

    /**
     * õҺϢĲ˻Ϣmongo
     * @param CardType
     * @param CardNo
     * @param PatientId
     * @param HospitalId
     * @return ؾʱRegDate  yyyy-MM-dd HH:mm:ss
     * @throws Exception
     */
    private String getRegAndUserInfo(String CardType,String CardNo,String PatientId,  String HospitalId) throws Exception {
        //-----------------------------õҺϢ--start
        //ƴRPC
        String regDate;
        String param = "<Req><TransactionCode>5003</TransactionCode><Data><CardType>"+CardType+"</CardType><CardNo>"+CardNo+"</CardNo><IdCardNo></IdCardNo><OrderId></OrderId><ClinicCard></ClinicCard><TimeSlice></TimeSlice><StartTime></StartTime><EndTime></EndTime><RegFlag>2</RegFlag></Data></Req>";
        String apiparam = "{\"ChannelId\"=\"" + qlcConfiguration.getChannelId() + "\"," +
                "\"ParamType\"=1," +
                "\"Params\"=\"" + param + "\"," +
                "\"Guid\"=\"00000001111111\"," +
                "\"V\"=\"3.0.0\"," +
                "\"OutType\"=1," +
                "\"HospitalId\"=\"" + HospitalId + "\"}";
        Object s =getRPCData(qlcConfiguration.getIp() + CoreConstant.COLON + qlcConfiguration.getPort(), qlcConfiguration.getAppId(), "ZEUS.HosHOPWs.QueryRegInfo", apiparam);
        logger.debug("õҺϢ:"+s.toString());
        //xml
        Document document = DocumentHelper.parseText(s.toString());
        Element root = document.getRootElement();
        String respCode=root.element("RespCode").getText();
        if ("10000".equals(respCode)) {
            //{ýӿڴmongo--ҺϢ
            Map<String, Object> params = new HashMap<String, Object>();
            params.put("dataset", "HDSC01_02");
            params.put("data", XML2JsonData(root.asXML()));
            params.put("orgCode", HospitalId);
            String storageUrl = HttpClientUtil.getUrl(cawlerConfiguration.getStorageIp(), cawlerConfiguration.getStoragePort(), cawlerConfiguration.getStorageApi());
            String storageInfo = HttpClientUtil.doPost(storageUrl, params, null, null);

            logger.debug("ҺϢ:" + storageInfo);
            monogoUrlValid(storageInfo,"ҺϢmongoʧ");
            //õʱ yyyy-MM-dd
            regDate = root.element("Data").element("RegDate").getText();
            //ת yyyy-MM-dd HH:mm:ss
            regDate = DateUtil.changeFormat(regDate, DateUtil.DEFAULT_DATE_YMD_FORMAT, DateUtil.DEFAULT_YMDHMSDATE_FORMAT);
        } else {
            logger.debug("ҺϢʧ");
            throw new Exception(s.toString());
        }
        //-----------------------------õҺϢ--end
        //-----------------------------õ˿ѧϢ--start
        //ƴRPC
        param = "<Req><TransactionCode>5003</TransactionCode><Data><CardType>"+CardType+"</CardType><CardNo>"+CardNo+"</CardNo><Mobile>123</Mobile><PatientId></PatientId></Data></Req>";
        apiparam = "{\"ChannelId\"=\"" + qlcConfiguration.getChannelId() + "\"," +
                "\"ParamType\"=1," +
                "\"Params\"=\"" + param + "\"," +
                "\"Guid\"=\"00000001111111\"," +
                "\"V\"=\"3.0.0\"," +
                "\"OutType\"=1," +
                "\"HospitalId\"=\"" + HospitalId + "\"}";
        s = getRPCData(qlcConfiguration.getIp() + CoreConstant.COLON + qlcConfiguration.getPort(), qlcConfiguration.getAppId(), "ZEUS.HosHOPWs.QueryUserInfo", apiparam);
        logger.debug("õ˿ѧϢ:"+s.toString());
        //xml
        document = DocumentHelper.parseText(s.toString());
        root = document.getRootElement();
        respCode=root.element("RespCode").getText();
        Map<String, Object> params = new HashMap<String, Object>();
        if ("10000".equals(respCode)) {
            //{ýӿڴmongo--˿ѧϢ
            params.put("dataset", "HDSA00_01");
            params.put("data", XML2JsonData(root.asXML()));
            params.put("orgCode", HospitalId);
            String storageUrl = HttpClientUtil.getUrl(cawlerConfiguration.getStorageIp(), cawlerConfiguration.getStoragePort(), cawlerConfiguration.getStorageApi());
            String storageInfo = HttpClientUtil.doPost(storageUrl, params, null, null);
            logger.debug("˿ѧϢ:" + storageInfo);
            monogoUrlValid(storageInfo, "˿ѧϢmongoʧ");
        } else {
            logger.debug("˿ѧϢʧ");
            throw new Exception(s.toString());
        }
        //-----------------------------õ˿ѧϢ--end

        return regDate;
    }


    /**
     * Ժ_/鱨浥---˵
     * 飺http://localhost:8081/gateway/transfer?api=18&param={CardType:"1",CardNo:"10003",ReportType:"1",ReportId:"123",State:"2",HospitalId:"1026333"}&requestId="Ŀǰûд"
     * 飺http://localhost:8081/gateway/transfer?api=18&param={CardType:"1",CardNo:"210003",ReportType:"2",ReportId:"201201",State:"2",HospitalId:"1026333"}&requestId="Ŀǰûд"
     */
    @RequestMapping(value = "/patientInformation", method = RequestMethod.POST)
    @ApiOperation(value = "/鱨浥-", response = Object.class, produces = "application/json", notes = "/鱨浥-")
    public QLCResponseResult patientInformation(@ApiParam(value = "", required = true) @RequestParam(value = "CardType") String CardType,
                                              @ApiParam(value = "", required = true) @RequestParam(value = "CardNo") String CardNo,
                                              @ApiParam(value = "浥1鱨2鱨", required = true) @RequestParam(value = "ReportType") String ReportType,
                                              @ApiParam(value = "浥", required = true) @RequestParam(value = "ReportId") String ReportId,
                                              @ApiParam(value = "浥״̬1 δ 2ѳ", required = true) @RequestParam(value = "State") String State,
                                              @ApiParam(value = "ҽԺID", required = true) @RequestParam(value = "HospitalId") String HospitalId) {
        QLCResponseResult qlcResponseResult = new QLCResponseResult();
        Object s = null;
        try {
            isEmpty(CardType, "CardType is null");
            isEmpty(CardNo, "CardNo is null");
            isEmpty(ReportType, "ReportType is null");
            isEmpty(ReportId, "ReportId is null");
            isEmpty(State, "State is null");
            isEmpty(HospitalId, "HospitalId is null");

            if ("1".equals(State)) {
                throw new Exception("δ");
            }


            //õҺϢͲ˻Ϣ
            String regDate=getRegAndUserInfo(CardType, CardNo, null, HospitalId);

            String data ="<Req><TransactionCode>5001</TransactionCode><Data><CardNo>" + CardNo + "</CardNo><ReportId>" + ReportId + "</ReportId><ReportType>" + ReportType + "</ReportType></Data></Req>";
            String apiparam = "{\"ChannelId\"=\"" + qlcConfiguration.getChannelId() + "\"," +
                    "\"ParamType\"=1," +
                    "\"Params\"=\"" + data + "\"," +
                    "\"Guid\"=\"" + "00000001111111" + "\"," +
                    "\"V\"=\"3.0.0\"," +
                    "\"OutType\"=0," +
                    "\"HospitalId\"=\"" + HospitalId + "\"}";
            s = getRPCData(qlcConfiguration.getIp() + CoreConstant.COLON + qlcConfiguration.getPort(), qlcConfiguration.getAppId(), "ZEUS.HosHOPWs.GetReportInfo", apiparam);

            logger.debug("õ/Ϣ:"+s.toString());
            //xml
            SAXReader saxReader = new SAXReader(false);
            Document document = DocumentHelper.parseText(s.toString());
            Element root = document.getRootElement();
            if ("10000".equals(root.element("RespCode").getText())) {
                //ָ
                List<Element> elements=root.elements("Data");
                JSONArray jsonArray1=new JSONArray();//zDƬ
                for(Element element:elements){
                    JSONArray jsonArray=new JSONArray();//z
                    List<Element> elementTemps=element.elements();
                    JSONObject jo=new JSONObject();
                    //z
                    for(Element elementTemp:elementTemps){
                        if(elementTemp.hasContent()){
                            jo.put(elementTemp.getName(),elementTemp.getText());
                        }
                        //zDƬ
                        if("Data_1".equals(elementTemp.getName())){
                            JSONObject jo1=new JSONObject();
                            List<Element> elementTemps1=elementTemp.elements();
                            for(Element elementTemp1:elementTemps1){
                                if(elementTemp1.hasContent()){
                                    jo1.put(elementTemp1.getName(),elementTemp1.getText());
                                }
                            }
                            jsonArray1.add(jo1);
                        }
                    }
                    String evenNo="";
                    if(StringUtils.isEmpty(jo.get("ClinicNo"))){
                        evenNo=jo.get("HosUserNo").toString();
                    }else{
                        evenNo=jo.get("ClinicNo").toString();
                    }
                    jsonArray.add(jo);
                    if(ReportType.equals("1")){
                        //鱨
                        //ς
                        String returnMessage=  addMongo("HDSD02_01", evenNo,CardNo, HospitalId, jsonArray);
                        logger.debug("Ϣ:"+returnMessage);
                        //ÿϸEven_No
                        for(Object o:jsonArray1){
                            JSONObject jsonObject=(JSONObject)o;
                            jsonObject.put("EventNo",evenNo);
                            jsonObject.put("PatientId",CardNo);
                        }
                        //ς
                        returnMessage=addMongo("HDSD02_03", evenNo,CardNo, HospitalId, jsonArray1);
                        logger.debug("Ϣ:"+returnMessage);
                    }else{
                        for(Object o:jsonArray){
                            JSONObject jsonObject=(JSONObject)o;
                            jsonObject.put("EventNo",evenNo);
                            jsonObject.put("PatientId",CardNo);
                        }
                        //鱨
                        String returnMessage= addMongo("HDSD01_01", evenNo,CardNo, HospitalId, jsonArray);
                        logger.debug("Ϣ:"+returnMessage);
                    }
                    //lς
                    Map<String,Object> params = new HashMap<String, Object>();
                    String jsonObject="{\"orgCode\":\""+HospitalId+"\",\"eventNo\":\""+evenNo+"\",\"patientId\":\""+CardNo+"\",\"referenceTime\":\""+regDate+"\"}";
                    params.put("patient", jsonObject);
                    String storageUrl = HttpClientUtil.getUrl(cawlerConfiguration.getStorageIp(), cawlerConfiguration.getStoragePort(), cawlerConfiguration.getStorageApi());
                    String storageInfo = HttpClientUtil.doPost(storageUrl, params, null, null);

                    logger.debug("ϴ:" + storageInfo);
                    monogoUrlValid(storageInfo, "ϴʧ");
                }

            } else {
                throw new Exception(s.toString());
            }
        } catch (Exception e) {
            qlcResponseResult.setStatus("2");
            qlcResponseResult.setStatusInfo(e.getMessage() + "RPC:" + s);
            e.printStackTrace();
            return qlcResponseResult;
        }
        return qlcResponseResult;
    }

    private String addMongo(String tableName,String evenNo,String CardNo,String HospitalId, JSONArray jsonArray) throws Exception {
        Map<String, Object> params = new HashMap<String, Object>();
        params.put("dataset", tableName);
        params.put("data", jsonArray.toString());
        params.put("orgCode", HospitalId);
        String storageUrl = HttpClientUtil.getUrl(cawlerConfiguration.getStorageIp(), cawlerConfiguration.getStoragePort(), cawlerConfiguration.getStorageApi());
        String storageInfo = HttpClientUtil.doPost(storageUrl, params, null, null);
        monogoUrlValid(storageInfo, "mongoʧ");
        return storageInfo;
    }

    private String getOrgCodeBy(String orgCode) {
        List<org.json.JSONObject> listSYSTEM = dbHelper.query("select * from system_organization where qlc_org_code='" + orgCode + "'");
        return listSYSTEM.get(0).get("code").toString();
    }

    /**
     * xmlDjson
     *
     * @param xml
     * @return
     */
    private static String XML2JsonData(String xml)  throws  Exception{
        JSONArray object=new JSONArray();
        try {
            SAXReader saxReader = new SAXReader(false);
            Document document = DocumentHelper.parseText(xml);
            Element root = document.getRootElement();
            List<Element> elements=root.elements("Data");
            for (Element element:elements){
                List<Element> elementTemps=element.elements();
                JSONObject jo=new JSONObject();
                for(Element elementTemp:elementTemps){
                    if(elementTemp.hasContent()){
                        jo.put(elementTemp.getName(),elementTemp.getText());
                    }
                }
                object.add(jo);
            }
        }catch (Exception e){
            throw new Exception("صxmlתJSON");
        }
        return object.toString();
    }


    private Object XML2JsonData1(String xml) throws Exception{
        JSONArray object=new JSONArray();
        try {
            SAXReader saxReader = new SAXReader(false);
            Document document = DocumentHelper.parseText(xml);
            Element root = document.getRootElement();
            List<Element> elements=root.elements("Data");
            for (Element element:elements){
                //õdataڵdata_1ڵ
                List<Element> elementsData1s=element.elements();
                for (Element elementsData1:elementsData1s){
                    if(element.getName().equals("Data_1")){
                        List<Element> elementTemps=elementsData1.elements();
                        JSONObject jo=new JSONObject();
                        for(Element elementTemp:elementTemps){
                            if(elementTemp.hasContent()){
                                jo.put(elementTemp.getName(),elementTemp.getText());
                            }
                        }
                        object.add(jo);
                    }
                }
            }
        }catch (Exception e){
            throw new Exception("صxmlתJSON");
        }
        return object.toString();
    }


    public static void main(String[] args) throws Exception {
        HttpClientUtil clientUtil=new HttpClientUtil();
        Map<String, Object> params = new HashMap<String, Object>();
        params.put("dataset", "HDSA00_01");
        params.put("data", XML2JsonData("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n" +
                "<Resg><TransactionCode>5003</TransactionCode><RespMessage>ɹ</RespMessage><RespCode>10000</RespCode><Data><Patient_id>1004295</Patient_id><Hdsd03_01_031>6123457</Hdsd03_01_031><Hdsd00_01_457>2015-04-06 10:00:00.0</Hdsd00_01_457><Jdsc01_02_02>ר</Jdsc01_02_02><Jdsc01_02_03>025</Jdsc01_02_03><Hdsd00_01_561>Ѫڿ</Hdsd00_01_561><Jdsc01_02_04>KH60066</Jdsc01_02_04><Jdsc01_02_05>л־</Jdsc01_02_05><Card_no>D86124568</Card_no><Card_type>ᱣϿ</Card_type><Publish_org/><Hdsd00_01_560>A100</Hdsd00_01_560><Hdsd00_01_009>Ż</Hdsd00_01_009><Hdsd00_01_010>0592-5982866</Hdsd00_01_010><Hdsd00_01_281/><Hdsd00_01_541/><Hdsd00_01_551/><Hdsd00_01_552/><Hdsd00_01_558/><Jdsa00_01_010>70</Jdsa00_01_010><Jdsa00_01_011>83</Jdsa00_01_011><Jdsa00_01_012>178</Jdsa00_01_012><Jdsa00_01_013>98</Jdsa00_01_013><Jdsa00_01_014>70</Jdsa00_01_014><Jdsa00_01_015>16</Jdsa00_01_015><Jdsa00_01_016>36.5</Jdsa00_01_016><Hdsd00_02_052>2</Hdsd00_02_052><Hdsd00_01_570>08</Hdsd00_01_570><Hdsa00_01_018>F</Hdsa00_01_018><Hdsd00_01_540/></Data><Data><Patient_id>1004295</Patient_id><Hdsd03_01_031>6712345</Hdsd03_01_031><Hdsd00_01_457>2016-02-15 10:00:00.0</Hdsd00_01_457><Jdsc01_02_02>ͨ</Jdsc01_02_02><Jdsc01_02_03>012</Jdsc01_02_03><Hdsd00_01_561>ε</Hdsd00_01_561><Jdsc01_02_04>KH60056</Jdsc01_02_04><Jdsc01_02_05></Jdsc01_02_05><Card_no>D86124568</Card_no><Card_type>ᱣϿ</Card_type><Publish_org/><Hdsd00_01_560>A100</Hdsd00_01_560><Hdsd00_01_009>Ż</Hdsd00_01_009><Hdsd00_01_010>0592-5982866</Hdsd00_01_010><Hdsd00_01_281/><Hdsd00_01_541/><Hdsd00_01_551/><Hdsd00_01_552/><Hdsd00_01_558/><Jdsa00_01_010>73</Jdsa00_01_010><Jdsa00_01_011>88</Jdsa00_01_011><Jdsa00_01_012>122</Jdsa00_01_012><Jdsa00_01_013>88</Jdsa00_01_013><Jdsa00_01_014>75</Jdsa00_01_014><Jdsa00_01_015>17</Jdsa00_01_015><Jdsa00_01_016>36.5</Jdsa00_01_016><Hdsd00_02_052>2</Hdsd00_02_052><Hdsd00_01_570>08</Hdsd00_01_570><Hdsa00_01_018>F</Hdsa00_01_018><Hdsd00_01_540/></Data><Data><Patient_id>1004295</Patient_id><Hdsd00_01_002>Ż</Hdsd00_01_002><Hdsa00_01_016>01</Hdsa00_01_016><Hdsa00_01_017>150121199010219710</Hdsa00_01_017><Hdsa00_01_011>1</Hdsa00_01_011><Hdsa00_01_012>1990-10-21 00:00:00.0</Hdsa00_01_012><Hdsa00_11_051></Hdsa00_11_051><Hdsa00_01_013>156</Hdsa00_01_013><Hdsa00_01_014>1</Hdsa00_01_014><Hdsa00_01_035>365500</Hdsa00_01_035><Jdsa00_01_000>ɳؽɳ</Jdsa00_01_000><Hdsd00_01_007>̫ſɿڿֹ˾</Hdsd00_01_007><Hdsd00_01_008>0592-5982866</Hdsd00_01_008><Hdsa00_01_021>584264572@qq.com</Hdsa00_01_021><Hdsd00_01_015>31</Hdsd00_01_015><Hdsd00_01_016>14</Hdsd00_01_016><Hdsd00_01_017>20</Hdsd00_01_017><Hdsa00_01_037>2010-07-02 00:00:00.0</Hdsa00_01_037><Hdsa00_01_048>4</Hdsa00_01_048><Hdsa00_01_049>4</Hdsa00_01_049><Hdsa00_01_050/></Data></Resg>"));
        params.put("orgCode", "");
        System.out.println(clientUtil.doPost("http://172.19.103.56:8080/datapush/datapush",params,null,null));

        //  System.out.println(XML2Json("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n" +
        //        "<Resg><TransactionCode>5003</TransactionCode><RespMessage>ɹ</RespMessage><RespCode>10000</RespCode><Data><Patient_id>1004295</Patient_id><Hdsd03_01_031>6123457</Hdsd03_01_031><Hdsd00_01_457>2015-04-06 10:00:00.0</Hdsd00_01_457><Jdsc01_02_02>ר</Jdsc01_02_02><Jdsc01_02_03>025</Jdsc01_02_03><Hdsd00_01_561>Ѫڿ</Hdsd00_01_561><Jdsc01_02_04>KH60066</Jdsc01_02_04><Jdsc01_02_05>л־</Jdsc01_02_05><Card_no>D86124568</Card_no><Card_type>ᱣϿ</Card_type><Publish_org/><Hdsd00_01_560>A100</Hdsd00_01_560><Hdsd00_01_009>Ż</Hdsd00_01_009><Hdsd00_01_010>0592-5982866</Hdsd00_01_010><Hdsd00_01_281/><Hdsd00_01_541/><Hdsd00_01_551/><Hdsd00_01_552/><Hdsd00_01_558/><Jdsa00_01_010>70</Jdsa00_01_010><Jdsa00_01_011>83</Jdsa00_01_011><Jdsa00_01_012>178</Jdsa00_01_012><Jdsa00_01_013>98</Jdsa00_01_013><Jdsa00_01_014>70</Jdsa00_01_014><Jdsa00_01_015>16</Jdsa00_01_015><Jdsa00_01_016>36.5</Jdsa00_01_016><Hdsd00_02_052>2</Hdsd00_02_052><Hdsd00_01_570>08</Hdsd00_01_570><Hdsa00_01_018>F</Hdsa00_01_018><Hdsd00_01_540/></Data><Data><Patient_id>1004295</Patient_id><Hdsd03_01_031>6712345</Hdsd03_01_031><Hdsd00_01_457>2016-02-15 10:00:00.0</Hdsd00_01_457><Jdsc01_02_02>ͨ</Jdsc01_02_02><Jdsc01_02_03>012</Jdsc01_02_03><Hdsd00_01_561>ε</Hdsd00_01_561><Jdsc01_02_04>KH60056</Jdsc01_02_04><Jdsc01_02_05></Jdsc01_02_05><Card_no>D86124568</Card_no><Card_type>ᱣϿ</Card_type><Publish_org/><Hdsd00_01_560>A100</Hdsd00_01_560><Hdsd00_01_009>Ż</Hdsd00_01_009><Hdsd00_01_010>0592-5982866</Hdsd00_01_010><Hdsd00_01_281/><Hdsd00_01_541/><Hdsd00_01_551/><Hdsd00_01_552/><Hdsd00_01_558/><Jdsa00_01_010>73</Jdsa00_01_010><Jdsa00_01_011>88</Jdsa00_01_011><Jdsa00_01_012>122</Jdsa00_01_012><Jdsa00_01_013>88</Jdsa00_01_013><Jdsa00_01_014>75</Jdsa00_01_014><Jdsa00_01_015>17</Jdsa00_01_015><Jdsa00_01_016>36.5</Jdsa00_01_016><Hdsd00_02_052>2</Hdsd00_02_052><Hdsd00_01_570>08</Hdsd00_01_570><Hdsa00_01_018>F</Hdsa00_01_018><Hdsd00_01_540/></Data><Data><Patient_id>1004295</Patient_id><Hdsd00_01_002>Ż</Hdsd00_01_002><Hdsa00_01_016>01</Hdsa00_01_016><Hdsa00_01_017>150121199010219710</Hdsa00_01_017><Hdsa00_01_011>1</Hdsa00_01_011><Hdsa00_01_012>1990-10-21 00:00:00.0</Hdsa00_01_012><Hdsa00_11_051></Hdsa00_11_051><Hdsa00_01_013>156</Hdsa00_01_013><Hdsa00_01_014>1</Hdsa00_01_014><Hdsa00_01_035>365500</Hdsa00_01_035><Jdsa00_01_000>ɳؽɳ</Jdsa00_01_000><Hdsd00_01_007>̫ſɿڿֹ˾</Hdsd00_01_007><Hdsd00_01_008>0592-5982866</Hdsd00_01_008><Hdsa00_01_021>584264572@qq.com</Hdsa00_01_021><Hdsd00_01_015>31</Hdsd00_01_015><Hdsd00_01_016>14</Hdsd00_01_016><Hdsd00_01_017>20</Hdsd00_01_017><Hdsa00_01_037>2010-07-02 00:00:00.0</Hdsa00_01_037><Hdsa00_01_048>4</Hdsa00_01_048><Hdsa00_01_049>4</Hdsa00_01_049><Hdsa00_01_050/></Data></Resg>"));
    }


    /**
     * жǷΪ
     *
     * @param EventType
     * @param message
     * @throws Exception
     */
    private void isEmpty(String EventType, String message) throws Exception {
        if (StringUtils.isEmpty(EventType)) {
            throw new Exception(message);
        }
    }
    //{"successFlg":true,"message":"ɹHDSA00_01","errorCode":0}
    private boolean monogoUrlValid(String monogoUrl,String message) throws Exception {
        JSONObject jo = JSONObject.fromObject(monogoUrl);
        if ((Boolean) jo.get("successFlg")) {
            return true;
        } else {
            throw new Exception(message+" --- "+jo.get("message").toString());
        }
    }

    private String getRPCData(String url, String appId, String api, String apiparam) {
        return ServiceBus.getInstance(
                url,
                appId).call(api, apiparam);
    }

}
